Friday, February 9, 2007

Edgy: recent kernel update & nvidia driver

The recent security fixes for Edgy included a kernel update to version 2.6.17-11, which left me with a non starting X server. However, I booted the old kernel and everything was fine. So I had a look at the problem.

I'm using the default Ubuntu nVidia drivers (nvidia-glx package) but the kernel update did not automatically update the linux-restricted-modules package, so the nVidia kernel module was missing for the new kernel 2.6.17-11. Installing this package manually resolved the problem and now I'm running the new kernel. I think, it should be added automatically when updating... (Kind of déjà vu from Dapper?)

No comments:

Post a Comment